Subject: Re: draft-ietf-intserv-charac-01.txt

From: [email-masked]
Date: Thu, 16 Nov 1995 16:42:05 -0800

*> 
  *> I think I know how to calculate IS hops, as those map pretty directly to
  *> RSVP hops. Since I don't know the original value of the IP TTL that the
  *> previous hop used, don't know whether each hop en route (a) decremented TTL
  *> at all or (b) if they did by what decrement, and since (c) even if the
  *> sending TTL were written in he RSVP common header, receiving socket
  *> interfaces normally don't tell us what the received TTL was -
  *> 

Fred,

Let's try (c).  Most (?) raw socket interfaces do give the application
the IP header.  But I guess there might be provision for a "don't
know" case.  Perhaps we need two counts -- or two bits.  The
bits would be "Non-RSVP hop exists in path", and "For at least one hop
I couldn't tell about the TTL".  Then the end system can distinguish
3 cases: Yes, no, don't know.

Bob